package com.ruoyi.mall.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 使用教程对象 tb_business_tutorial
 * 
 * @author ruoyi
 * @date 2023-10-23
 */
public class BusinessTutorial extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 教程编号 */
    private Long tutorialId;

    /** 教程类型 */
    @Excel(name = "教程类型")
    private String type;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 阅读量 */
    @Excel(name = "阅读量")
    private Long readNum;

    /** 教程内容 富文本 */
    @Excel(name = "教程内容 富文本")
    private String content;

    /** 删除标志(0代表存在 2代表删除) */
    private String delFlag;

    public void setTutorialId(Long tutorialId) 
    {
        this.tutorialId = tutorialId;
    }

    public Long getTutorialId() 
    {
        return tutorialId;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setTitle(String title) 
    {
        this.title = title;
    }

    public String getTitle() 
    {
        return title;
    }
    public void setReadNum(Long readNum)
    {
        this.readNum = readNum;
    }

    public Long getReadNum()
    {
        return readNum;
    }
    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("tutorialId", getTutorialId())
            .append("type", getType())
            .append("title", getTitle())
            .append("readNum", getReadNum())
            .append("content", getContent())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
